新闻中心

wordpress模版和版本的兼容性问题导致无法正常加载首页错误

作者 / 无忧主机 时间 2011-09-23 08:43:07

这是一个网站调试经验我和客户为了证明这个问题发了2多小时,如果你也遇到同样问题读读文章的内容,肯定会让你少走弯路。 用wordpress速成一个网站这个是完全没问题了,当你熟练,完全在几个小时内就可以搞定一个网站。Wordpress海量的免费模版,为了提供了广阔的选择空间,我个人感觉用wp建站非常容易上手,但是要深入修改,发现有难度,我想其它站长会有我这种感觉吧。 本文的主题是:wordpress模版和wp版本的兼容性问题。 问题:使用无忧主机香港独立IP的php虚拟主机,安装wordpress 3.2.1,使用WPortal-Blue模版。Wp后台“门户主题设置”中设置任何几项(如广告设置、seo设置、首页设置等),就导致访问首页错误,wordpress首页加载失败,只显示了一个网站logo,其余都是白页。 这是一个莫名奇妙的问题,起码是我个人认为,由于对无忧主机(www.51php.com)对wordpress模版技术不精通,要寻找为什么,存在困难。我只能采用最笨的方法,降低wp安装的版本,来进行测试,用“反证法”来证明模版与版本的兼容性问题。最后我选择wordpress 3.1.3版本安装,,使用同样模版调试。我和无忧主机用户(****1527)反复测试,想尽办法不断折腾这个模版,模版使用正常,无上述问题发生。 总结: 当我们选择免费的wp模版的时候,请一定要注意模版说明、已经模版发布时间和更新时间。从这些信息上判断,是否于安装版本兼容。Wordpress近段时间更新速度异常的快,很多免费模版都还没来及更新,我们在最新的版本的时,一定要注意这个问题。Wordpress插件安装和选择也同样实用这条经验。感谢你的阅读。 推荐阅读,有时候版本不是越高越好,而是适合就好。Wp3.X已经很安全了,更高的版本,只是为了获得更多的使用功能,如果就是简单的应用,wp3.X中的主流版本完全满足你建站要求了(一家之言)。wp升级经验谈:是否升级最新 WordPress 3.2 Beta 1 版本     纯Linux环境下高端免备案[香港独立IP地址] php空间,仅仅只需199元一年起。商务中国域名核心代理直销50元注册国际顶级域名。

本文地址:https://www.51php.com/wordpress/3941.html

1
1
1
1
1
1
1